<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
    tooltipPosition: {
      type: String,
      required: false,
      default: 'right',
    },
  },
});
</script>

<template>
  <div class="pricing-feature-list-container">
    <SlpTypography tag="h2" class="header" variant="body3-bold">{{
      data.header
    }}</SlpTypography>
    <ul class="list">
      <li v-for="feature in data.list" :key="feature.text" class="item">
        <div class="icon-container">
          <SlpIcon
            name="check"
            class="slp-mr-24"
            variant="product"
            slp-color="accent-500"
            alt="Check icon"
            size="sm"
          />
        </div>
        <div class="text">
          <SlpTypography
            v-if="feature.header"
            variant="body1-bold"
            tag="h5"
            class="feature-header"
          >
            {{ feature.header }}
          </SlpTypography>
          <span class="feature">
            {{ feature.text }}
            <a
              v-for="(link, linkIndex) in feature.links"
              :key="linkIndex"
              :href="link.url"
              :data-ga-name="link.data_ga_name"
              :data-ga-location="link.data_ga_location"
              >{{ link.text }}
            </a>
            <span v-if="feature.new" class="new-badge"
              ><SlpTypography variant="body3-bold">New</SlpTypography></span
            >
            <SlpTooltip
              v-if="feature.information"
              :id="feature.text.toLowerCase().replace(/\s/g, '-')"
              :list="feature.information"
              :position="tooltipPosition"
              class="tooltip"
              mode="click"
            >
              <SlpIcon
                name="information-o"
                variant="product"
                slp-color="accent-500"
                alt="Info tip icon"
              />
            </SlpTooltip>
          </span>
        </div>
      </li>
    </ul>
    <SlpButton
      v-if="data.button"
      :href="data.button.url"
      class="slp-mb-24"
      :data-ga-name="data.button.data_ga_name"
      :data-ga-location="data.button.data_ga_location"
      variant="primary"
    >
      {{ data.button.text }}
    </SlpButton>
    <SlpButton
      v-if="data.learn_more"
      :href="data.learn_more.url"
      class="footer-anchor"
      :data-ga-name="data.learn_more.data_ga_name"
      :data-ga-location="data.learn_more.data_ga_location"
      variant="tertiary"
    >
      {{ data.learn_more.text }}
      <SlpIcon
        class="slp-ml-16"
        name="chevron-lg-right"
        variant="product"
        hex-color="#171321"
        alt="Chevron Right Icon"
      />
    </SlpButton>
  </div>
</template>

<style lang="scss" scoped>
.pricing-feature-list-container {
  .header {
    margin-bottom: $spacing-8;
  }
  .new-badge {
    background-color: $color-accent-500;
    border-radius: 100px;
    color: white;
    padding: 3px 13px;
  }
  .item {
    display: flex;
    align-items: flex-start;
    margin: $spacing-8 0;
    .text {
      display: flex;
      flex-direction: column;
      gap: 16px;
    }
  }

  .icon-container {
    padding: 2px 0 0 0;
  }
  .list {
    margin-bottom: 40px;
    position: relative;
  }
  .footer-anchor {
    display: flex;
    align-items: center;
    color: $color-primary-200;
    font-weight: 600;

    @media (max-width: $breakpoint-md) {
      padding-left: 0;
      padding-right: 0;
    }

    .slp-icon {
      width: 18px;
      height: 20px;
      margin-left: $spacing-8;
    }
  }
  .tooltip {
    border: none;
    height: 1rem;
    height: auto; // Fixes svg within button Safari bug

    &:deep {
      .slp-tooltip__wrapper .slp-tooltip__content.right {
        word-wrap: break-word;
        left: 30px;
      }
    }
  }
}
</style>
